/*
 * This program is copyright (c) 2007 Hortis-GRC SA.
 * 
 * This file is part of Sonar.
 * Sonar is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version.
 * 
 * Sonar is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with Sonar; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */
package ch.hortis.sonar.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.io.Serializable;

@Entity(name = "ProjectTendency")
@Table(name = "project_tendencies")
public class ProjectTendency extends MetricMeasure implements Serializable {

  private static final long serialVersionUID = -8215745619268218886L;

  @Id
  @Column(name = "id")
  @SequenceGenerator(name= "PROJECT_TENDENCIES_SEQ", sequenceName = "PROJECT_TENDENCIES_SEQ")
  @GeneratedValue(strategy = GenerationType.AUTO, generator = "PROJECT_TENDENCIES_SEQ")
  private Integer id;
  
  @Column(name = "days_number", updatable = false, nullable = false)
  private int days;

  @Column(name = "value_level", updatable = false, nullable = false)
  private int level;
  
  public ProjectTendency() {
  }

  public ProjectTendency(Snapshot snapshot, Metric metric, Double value, Integer level, int days) {
    setSnapshot(snapshot);
    super.metric = metric;
    super.value = value;
    this.days = days;
    this.level = level;
  }

  public Integer getId() {
    return id;
  }

  public void setId(Integer id) {
    this.id = id;
  }

  public int getDays() {
    return days;
  }

  public void setDays(int days) {
    this.days = days;
  }

  public int getLevel() {
    return level;
  }

  public void setLevel(int level) {
    this.level = level;
  }
}
