/**
 * This program is copyright (c) 2007 Hortis-GRC SA.
 * 
 * This file is part of Sonar.
 * Sonar is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version.
 * 
 * Sonar is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with Sonar; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */
package ch.hortis.sonar.service;

import ch.hortis.sonar.model.RuleConfig;
import ch.hortis.sonar.model.RuleFailureLevel;

import javax.persistence.EntityManager;
import javax.persistence.FlushModeType;
import javax.persistence.Query;
import java.util.List;

public class RulesConfigService extends Service {

  public RulesConfigService(EntityManager manager) {
    super(manager);
  }
  
  public List<RuleConfig> getRulesConfigs( RuleFailureLevel level) {
    Query query = manager.createNamedQuery( RuleConfig.SQL_SELECT_ALL_FOR_LEVEL );
    query.setParameter( "level", level);
    query.setFlushMode(FlushModeType.COMMIT);
    return query.getResultList();
  }

}
